/************************************************
 * This code is free to use, but this copyright
 * should be deleted, otherwise, they won't 
 * think you wrote it!
 * 
 * If you find this useful, please email me at
 * aprenot@aaronprenot.com
 * 
 * (c)2004 - Aaron Prenot
 * http://www.aaronprenot.com
 * **********************************************/
using System;

namespace Diff
{
	/// <summary>
	/// Base Class for reading Comparable objects.
	/// </summary>
	public abstract class ComparableStreamReader
	{
		public ComparableStreamReader()
		{
		}

		public abstract IComparable GetNext();

	}
}
