/************************************************
 * This code is free to use, but this copyright
 * should be deleted, otherwise, they won't 
 * think you wrote it!
 * 
 * If you find this useful, please email me at
 * aprenot@aaronprenot.com
 * 
 * (c)2004 - Aaron Prenot
 * http://www.aaronprenot.com
 * **********************************************/
using System;

namespace Diff
{
	/// <summary>
	/// This class is a collection of <c>EditCommand</c>s that can be used to turn Source into Destination.
	/// </summary>
	public class EditScript : System.Collections.CollectionBase
	{
		public EditScript()
		{
			// 
			// TODO: Add constructor logic here
			//
		}

		public int Add(DiffCommand value)
		{
			return List.Add(value);
		}
	
		public DiffCommand this[int index]
		{
			get
			{
				return ( DiffCommand ) List[index];
			}
			set
			{
				List[index] = value;
			}
		}
	}
}
